Get requests
curl --request GET \
--url https://api.opal.dev/v1/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requests": [
{
"id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"organization_id": "w86c85d-0651-43e2-a748-d69d658418e8",
"created_at": "2021-01-06T20:00:00.000Z",
"updated_at": "2021-01-06T20:00:00.000Z",
"requester_id": "c86c85d-0651-43e2-a748-d69d658418e8",
"target_user_id": "r86c85d-0651-43e2-a748-d69d658418e8",
"target_group_id": "g86c85d-0651-43e2-a748-d69d658418e8",
"status": "pending",
"reason": "I need this resource.",
"duration_minutes": 1440,
"request_comments": [
{
"id": "4c86c85d-0651-43e2-a748-d69d658418e8",
"created_at": "2021-01-06T20:00:00.000Z",
"updated_at": "2021-01-06T20:00:00.000Z",
"request_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"user_id": "c86c85d-0651-43e2-a748-d69d658418e8",
"comment": "This is a comment."
}
]
}
],
"cursor": "eyJjcmVhdGVkX2F0IjoiMjAyMS0wMS0wNlQyMDo0NzowMFoiLCJ2YWx1ZSI6ImFkbWluIn0="
}Returns a list of requests for your organization that is visible by the admin.
GET
/
requests
Get requests
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A start date filter for the events.
An end date filter for the events.
Filter requests by their requester ID.
Filter requests by their target user ID.
Filter requests by the resource ID that was requested.
Filter requests by the group ID that was requested.
The pagination cursor value.
Number of results to return per page. Default is 200.
Required range:
x <= 1000Boolean toggle for if it should only show pending requests.
Response
200 - application/json
The list of requests.
Request List
Description
The RequestList object is used to represent a list of requests.
Usage Example
Returned from the GET Requests endpoint.
Last modified on August 27, 2026
Was this page helpful?